Loading...
Searching...
No Matches
event::AlarmManager::Alert Struct Reference

Alert structure. More...

`import <AlarmManager.idl;`

## Public Attributes

string | eventCondition
| Event condition.
string | message
| Log message.
time | firstAppearance
| Date & time of first appearance (UNIX timestamp, UTC)
time | lastAppearance
| Date & time of last appearance (UNIX timestamp, UTC)
int | numberAlerts
| Number of alerts.

## Detailed Description

Alert structure.

An alert contains the event id, the log message of the triggered alarm condition plus time and counter fields to express when and how often the alarm condition was triggered.

Definition at line 29 of file AlarmManager.idl.

## Member Data Documentation

## eventCondition

string event::AlarmManager::Alert::eventCondition

Event condition.

Definition at line 30 of file AlarmManager.idl.

## firstAppearance

time event::AlarmManager::Alert::firstAppearance

Date & time of first appearance (UNIX timestamp, UTC)

Definition at line 32 of file AlarmManager.idl.

## lastAppearance

time event::AlarmManager::Alert::lastAppearance

Date & time of last appearance (UNIX timestamp, UTC)

Definition at line 33 of file AlarmManager.idl.

## message

string event::AlarmManager::Alert::message

Log message.

Definition at line 31 of file AlarmManager.idl.

## numberAlerts

int event::AlarmManager::Alert::numberAlerts

Number of alerts.

Definition at line 34 of file AlarmManager.idl.

The documentation for this struct was generated from the following file:

- AlarmManager.idl